Bug 242464 - shells/fish - Unexpected end of string, incomplete parameter expansion begin
Summary: shells/fish - Unexpected end of string, incomplete parameter expansion begin
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-05 20:07 UTC by Martin Filla
Modified: 2019-12-28 16:23 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Filla 2019-12-05 20:07:28 UTC
Hi, 
i have issue in shell fish with this characters
fish version 3.0.2

maxfx@ ~> sudo portmaster c{- (line 1): Unexpected end of string, incomplete parameter expansion
begin; set all /usr/ports/c{*/ 
 ;end <&3 3<&-
               ^
from sourcing file -
	called on line 61 of file /usr/local/share/fish/functions/eval.fish

in function “eval”
	called on line 75 of file /usr/local/share/fish/functions/__fish_complete_suffix.fish

in function “__fish_complete_suffix”
	called on line 7 of file /usr/local/share/fish/functions/__fish_complete_directories.fish
	with parameter list “/usr/ports/c{ /”

in command substitution
	called on line 23 of file /usr/local/share/fish/functions/__fish_complete_directories.fish

in function “__fish_complete_directories”
	called on line 35 of file /usr/local/share/fish/completions/sudo.fish
	with parameter list “/usr/ports/c{”

in command substitution
	called on line 36 of file /usr/local/share/fish/completions/sudo.fish

in command substitution
	called on line 70 of file /usr/local/share/fish/completions/sudo.fish

in function “__fish_complete_sudo_subcommand”
	called on standard input

in command substitution
	called on standard input

source: Error while reading file “-”
- (line 1): Unexpected end of string, incomplete parameter expansion
begin; set expanded /usr/ports/c{ 
 ;end <&3 3<&-
                    ^
from sourcing file -
	called on line 61 of file /usr/local/share/fish/functions/eval.fish

in function “eval”
	called on line 100 of file /usr/local/share/fish/functions/__fish_complete_suffix.fish

in function “__fish_complete_suffix”
	called on line 7 of file /usr/local/share/fish/functions/__fish_complete_directories.fish
	with parameter list “/usr/ports/c{ /”

in command substitution
	called on line 23 of file /usr/local/share/fish/functions/__fish_complete_directories.fish

in function “__fish_complete_directories”
	called on line 35 of file /usr/local/share/fish/completions/sudo.fish
	with parameter list “/usr/ports/c{”

in command substitution
	called on line 36 of file /usr/local/share/fish/completions/sudo.fish

in command substitution
	called on line 70 of file /usr/local/share/fish/completions/sudo.fish

in function “__fish_complete_sudo_subcommand”
	called on standard input

in command substitution
	called on standard input

source: Error while reading file “-”
string replace: Expected argument
Comment 1 Alan Somers freebsd_committer 2019-12-15 23:21:14 UTC
This is an upstream issue and should be reported at https://github.com/fish-shell/fish-shell/issues
Comment 2 Martin Filla 2019-12-16 19:05:40 UTC
(In reply to Alan Somers from comment #1)
Hello Alan,
yes but you are maintainer this package.
Comment 3 Alan Somers freebsd_committer 2019-12-25 17:09:18 UTC
Yes Martin, I maintain the port.  But I only maintain the port, not the upstream software.  Since this bug is unrelated to the port, you should report it directly upstream.
Comment 4 Martin Filla 2019-12-28 14:56:54 UTC
(In reply to Alan Somers from comment #3)

issue is here: 
https://github.com/fish-shell/fish-shell/issues/6457
Comment 5 Martin Filla 2019-12-28 16:03:17 UTC
(In reply to Alan Somers from comment #3)

this bug is fixed in commit:
https://github.com/fish-shell/fish-shell/commit/f56bce3f977182710762a1501ec52de3ddaa29d2

We must wait for next release fish.
M.
Comment 6 Alan Somers freebsd_committer 2019-12-28 16:23:23 UTC
Ok, I'm going to close this bug since there's nothing left for us to do.  Thanks for tracking it down.